# WebHooks

Configuração de webhooks para receber notificações em tempo real sobre eventos da plataforma (criação/atualização de tarefas, tickets etc.) na sua aplicação.

## Consultar WebHook

 - [GET /webhooks/{id}](https://developer.auvo.com.br/openapi/api-reference/webhooks/retrieve-a-web-hook.md): Returns the details of a single WebHook identified by its unique identifier.

## Excluir WebHook

 - [DELETE /webhooks/{id}](https://developer.auvo.com.br/openapi/api-reference/webhooks/delete-a-web-hook.md): Removes a WebHook from your account by its unique identifier. This operation cannot be undone.

## Adicionar novo WebHook

 - [POST /webhooks](https://developer.auvo.com.br/openapi/api-reference/webhooks/add-a-new-web-hook.md): If the id is provided and a webhook with that id already exists, the webhook will be updated instead of created. Returns HTTP status code 200 if updated and 201 if created.

Entity values:

* 1 - User

* 4 - Task

* 7 - Customer

* 27 - Equipment

* 62 - Ticket

Action values:

* 1 - Inclusao (Creation)

* 2 - Alteracao (Modification)

* 3 - Exclusao (Deletion)

## Listar WebHooks

 - [GET /webhooks](https://developer.auvo.com.br/openapi/api-reference/webhooks/retrieve-a-list-of-web-hooks.md): Returns a paginated list of WebHooks registered in your account. Use the query parameters to filter, sort and paginate results.

